Bug 1690674 (CVE-2019-9788)

Summary: CVE-2019-9788 Mozilla: Memory safety bugs fixed in Firefox 66 and Firefox ESR 60.6
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20190320,reported=20190320,source=mozilla,cvss3=8.8/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H,cwe=CWE-120,rhel-6/firefox=affected,rhel-7/firefox=affected,rhel-6/thunderbird=affected,rhel-7/thunderbird=affected,rhel-8/firefox=affected,rhel-8/thunderbird=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:51:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1688867, 1690496, 1690692, 1703894, 1688866, 1688868, 1690494, 1690495, 1703888, 1703893    
Bug Blocks: 1688735, 1690493    

Description Doran Moppert 2019-03-20 02:14:09 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 65 and Firefox ESR 60.5. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-08/#CVE-2019-9788

Comment 1 Doran Moppert 2019-03-20 02:14:12 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Bob Clary, Chun-Min Chang, Aral Yaman, Andreea Pavel, Jonathan Kew, Gary Kwong, Alex Gaynor, Masayuki Nakano, Anne van Kesteren

Comment 3 errata-xmlrpc 2019-03-20 15:11:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0622 https://access.redhat.com/errata/RHSA-2019:0622

Comment 4 errata-xmlrpc 2019-03-20 15:21:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0623 https://access.redhat.com/errata/RHSA-2019:0623

Comment 5 errata-xmlrpc 2019-03-28 14:48:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0680 https://access.redhat.com/errata/RHSA-2019:0680

Comment 6 errata-xmlrpc 2019-03-28 14:49:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0681 https://access.redhat.com/errata/RHSA-2019:0681

Comment 8 errata-xmlrpc 2019-05-07 04:17:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0966 https://access.redhat.com/errata/RHSA-2019:0966

Comment 9 errata-xmlrpc 2019-05-13 05:03:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1144 https://access.redhat.com/errata/RHSA-2019:1144